*transformation variables*

*age*
gen age_ln=log(age)

*membership*

*log-transformation*
gen members_log=log(osm1)

*z-score for each membership type*
egen members_log_z_mt2 = std(members_log) if memtype==2
egen members_log_z_mt3 = std(members_log) if memtype==3
egen members_log_z_mt4 = std(members_log) if memtype==4

*combine z-scores for each membershiptype into one variable*
gen members_log_zscore_new  = max(members_log_z_mt2, members_log_z_mt3, members_log_z_mt4) if missing(members_log_z_mt2, members_log_z_mt3, members_log_z_mt4)

*tertiles for each membership type*

*memtype=2; low: 0 t/m 1250; 1280 t/m 9800; >9801*

gen osm1_3catB_mt2= .
replace osm1_3catB_mt2 = 2 if ((osm1 < = 1250) & (memtype==2))
replace osm1_3catB_mt2 = 3 if ((osm1 > 1250 & osm1 <= 9800) & (memtype==2))
replace osm1_3catB_mt2 = 4 if ((osm1 > 9800 & osm1 <= 4500000) & (memtype==2))

*memtype=3; low: 0 t/m 64; 66 t/m 290; 300 t/m 25000*
gen osm1_3catB_mt3= .
replace osm1_3catB_mt3 = 2 if ((osm1 < = 64) & (memtype==3))
replace osm1_3catB_mt3 = 3 if ((osm1 > 64 & osm1 <= 290) & (memtype==3))
replace osm1_3catB_mt3 = 4 if ((osm1 > 290 & osm1 <= 25000) & (memtype==3))

*memtype=4; low: 0 t/m 10; 11 t/m 38; 40 t/m 1800*
gen osm1_3catB_mt4= .
replace osm1_3catB_mt4 = 2 if ((osm1 < = 10) & (memtype==4))
replace osm1_3catB_mt4 = 3 if ((osm1 > 10 & osm1 <= 38) & (memtype==4))
replace osm1_3catB_mt4 = 4 if ((osm1 > 38 & osm1 <= 1800) & (memtype==4))

*3 categoriale variabelen samenvoegen*
gen mem1_4cat_newB = max(osm1_3catB_mt2, osm1_3catB_mt3, osm1_3catB_mt4) if missing(osm1_3catB_mt2, osm1_3catB_mt3, osm1_3catB_mt4)
replace mem1_4cat_newB= 1 if ((mem1_4cat_new== .)& (memtype==1))

*table 1 membership*
by memtype, sort : summarize osm1, detai

* tabel 2 descriptive statistics*

tab orgtype Vlaams, column chi2 V

tab orgtype Vlaams if insider==1, column chi2 V
 
 
 *regression model 1 ignoring membership data*
 xi: logit insider  peakorg econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams
 
 *regression model 2 with membership type*
  xi: logit insider  i.memtype1 econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams
  
 *regression model 3 with standardized z-score based on log*
 xi: logit insider peakorg members_log_zscore econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams

 *regression model 4 with membership categorized*
 xi: logit insider peakorg  i.mem1_4cat econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams

 *figure 1*
 
 *labels field*
 label define field_label 2 "identity groups" 4 "health and social work" 5 "agriculture and fisheries" 6 "labor" 7 "education" 8 "cultural policy" 9 "environment" 11 "service sectors" 12 "transport" 13 "industry and construction" 14 "public administration and governance" 15 "business" 16 "hobbies" 33 "development" 
 label values field field_label 
 
 * proportion population*
  tab field insider, column
  
  *observed proportion insiders*
  tab field insider, row
  
  *predicted probability access fields*
  *regression model 4 with membership categorized *
 xi: logit insider peakorg  i.mem1_4cat econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams
 
 predict p
 
 tabstat p, statistics(mean) by(field)
 
 *appendix*
 

* modellen met interactie-effecten*

*niet opnemen van organisaties met informal constituency in analyses van interactie-effecten*
drop if mem1_4cat==1

*interactie membership type and members_log (raw membership)*
xi: logit insider  i.memtype1*members_log econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams

*interactie membership type and members_log_zscore*
xi: logit insider  i.memtype1*members_log_zscore econgroup age_ln os5_local i.PK_CODE_3CAT zuil Vlaams field_Vlaams



